*********Load Data

clear all

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta" 

**********Table 0 -- Summary Stats

summ dmretperstax dmretcorptax dmretmisstatejob dmnonrettel dmretpromemp dmretcheatclients dmnonretlied dmretchireemp dmnonretlate dmretcfireemp

**********Table 1 -- Number of responses

tab retcountgood 

**********Table 2 (cols 1+2)-- New table

ivregress 2sls ltcwgavprodskus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog


ivregress 2sls ltcwgavprodunus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

*********Table 2 (col 3) -- individual regressions

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog

**********Table 2 (cols 4+5) -- differences

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

gen lwgdifskil=ltcwgavprodskus-lannwage
gen lwgdifunsk=ltcwgavprodunus-lannwage

gen lwgdifskil2=ltcwgavprodskus-lannwageskil
gen lwgdifunsk2=ltcwgavprodunus-lannwageunsk

ivregress 2sls lwgdifskil (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls lwgdifunsk (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls lwgdifskil2 (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls lwgdifunsk2 (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

**********Table 3 -- Robustness Checks

**Base regression

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

ivregress 2sls ltcwgavprodskus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog


ivregress 2sls ltcwgavprodunus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog


**no controls

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

ivregress 2sls ltcwgavprodskus (retcountgood=avretcountgoodloo) 
estat first
estat endog

ivregress 2sls ltcwgavprodunus (retcountgood=avretcountgoodloo) 
estat first
estat endog


use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) 
estat first
estat endog

**ten questions

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

ivregress 2sls ltcwgavprodskus (retcount10good=avretcount10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls ltcwgavprodunus (retcount10good=avretcount10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
outreg2 using "C:\Users\George\Dropbox\Working Files\Nigeria Wages\Stata\output\T4 August 16 Robust", tstat tdec(2) bdec(3) e(all) nonotes append excel
estat first
estat endog


use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcount10good=avretcount10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog

**ten questions and 7 questions

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

gen dmretonly7=dmreticentgood==1&dmreticent10good==0 if dmreticent10good~=.&dmreticentgood~=.

ivregress 2sls ltcwgavprodskus (dmreticentgood dmretonly7=avdmreticentgoodloo avdmreticent10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
test dmretonly7+dmreticentgood==0

estat first
estat endog

ivregress 2sls ltcwgavprodunus (dmreticentgood dmretonly7=avdmreticentgoodloo avdmreticent10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
test dmretonly7+dmreticentgood==0
estat first
estat endog


use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

* gen dmreticent10good=(retcount10good==10) if retcountgood~=.
gen dmretonly7=dmreticentgood==1&dmreticent10good==0 if dmreticent10good~=.&dmreticentgood~=.

ivregress 2sls lannwage (dmreticent10good dmretonly7=avdmreticentgoodloo avdmreticent10goodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog



**all respondents

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

ivregress 2sls ltcwgavprodskus (retcount=avretcountloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls ltcwgavprodunus (retcount=avretcountloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcount=avretcountloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog

**reticent dummy

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

ivregress 2sls ltcwgavprodskus (dmreticentgood=avdmreticentgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog

ivregress 2sls ltcwgavprodunus (dmreticentgood=avdmreticentgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009
estat first
estat endog


use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (dmreticentgood=avdmreticentgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog

**OLS

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

regress ltcwgavprodskus retcountgood lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009

regress ltcwgavprodunus retcountgood lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009


use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

regress lannwage retcountgood lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)

**Regressions with interview dummies

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

tab intcode, gen(dmint)

regress lannwage retcountgood lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009 dmint*, cluster(idquest)

test dmint1 dmint2 dmint3 dmint4 dmint5 dmint6 dmint7 dmint8 dmint9 dmint10 dmint11 dmint12 dmint13 dmint14 dmint15 dmint16 dmint17 dmint18 dmint19 dmint20 dmint21 dmint22 dmint23 dmint24 dmint25 dmint26 dmint27 dmint28 dmint29 dmint30 dmint31 dmint32 dmint33 dmint34 dmint35 dmint36 dmint37 dmint38 dmint39 dmint40 dmint41 dmint42 dmint43 dmint44 dmint45 dmint46 dmint47 dmint48 dmint49 dmint50 dmint51 dmint52 dmint53 dmint54 dmint55 dmint56 dmint57 dmint58 dmint59 dmint60 dmint61 dmint62 dmint63 dmint64 dmint65 dmint66 dmint67 dmint68 dmint69 dmint70 dmint71 dmint72 dmint73 dmint74 dmint75 dmint76 dmint77 dmint78 dmint79 dmint80 dmint81 dmint82 dmint83 dmint84 dmint85 dmint86 dmint87 dmint88 dmint89 dmint90 dmint91 dmint92 dmint93 dmint94 dmint95 dmint96 dmint97 dmint98 dmint99 dmint100 dmint101 dmint102 dmint103 dmint104 dmint105 dmint106 dmint107 dmint108 dmint109 dmint110 dmint111 dmint112 dmint113 dmint114 dmint115 dmint116 dmint117 dmint118 dmint119 dmint120 dmint121 dmint122 dmint123 dmint124 dmint125 dmint126 dmint127 dmint128 dmint129 dmint130 dmint131 dmint132 dmint133 dmint134 dmint135 dmint136 dmint137 dmint138 dmint139 dmint140 dmint141 dmint142 dmint143 dmint144 dmint145 dmint146 dmint147 dmint148 dmint149 dmint150 dmint151 dmint152 dmint153 dmint154 dmint155 dmint156 dmint157 dmint158 dmint159 dmint160 dmint161 dmint162 dmint163 dmint164 dmint165 dmint166 dmint167 dmint168 dmint169 dmint170 dmint171 dmint172 dmint173 dmint174 dmint175 dmint176 dmint177

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009 dmint*, cluster(idquest)
estat first
estat endog

test dmint1 dmint2 dmint3 dmint4 dmint5 dmint6 dmint7 dmint8 dmint9 dmint10 dmint11 dmint12 dmint13 dmint14 dmint15 dmint16 dmint17 dmint18 dmint19 dmint20 dmint21 dmint22 dmint23 dmint24 dmint25 dmint26 dmint27 dmint28 dmint29 dmint30 dmint31 dmint32 dmint33 dmint34 dmint35 dmint36 dmint37 dmint38 dmint39 dmint40 dmint41 dmint42 dmint43 dmint44 dmint45 dmint46 dmint47 dmint48 dmint49 dmint50 dmint51 dmint52 dmint53 dmint54 dmint55 dmint56 dmint57 dmint58 dmint59 dmint60 dmint61 dmint62 dmint63 dmint64 dmint65 dmint66 dmint67 dmint68 dmint69 dmint70 dmint71 dmint72 dmint73 dmint74 dmint75 dmint76 dmint77 dmint78 dmint79 dmint80 dmint81 dmint82 dmint83 dmint84 dmint85 dmint86 dmint87 dmint88 dmint89 dmint90 dmint91 dmint92 dmint93 dmint94 dmint95 dmint96 dmint97 dmint98 dmint99 dmint100 dmint101 dmint102 dmint103 dmint104 dmint105 dmint106 dmint107 dmint108 dmint109 dmint110 dmint111 dmint112 dmint113 dmint114 dmint115 dmint116 dmint117 dmint118 dmint119 dmint120 dmint121 dmint122 dmint123 dmint124 dmint125 dmint126 dmint127 dmint128 dmint129 dmint130 dmint131 dmint132 dmint133 dmint134 dmint135 dmint136 dmint137 dmint138 dmint139 dmint140 dmint141 dmint142 dmint143 dmint144 dmint145 dmint146 dmint147 dmint148 dmint149 dmint150 dmint151 dmint152 dmint153 dmint154 dmint155 dmint156 dmint157 dmint158 dmint159 dmint160 dmint161 dmint162 dmint163 dmint164 dmint165 dmint166 dmint167 dmint168 dmint169 dmint170 dmint171 dmint172 dmint173 dmint174 dmint175 dmint176 dmint177


**additional screener controls


use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

tab reg, gen(dmcireg)
tab industry, gen(dmciind)
tab screensi, gen(dmcisz)

ivregress 2sls ltcwgavprodskus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmci* zone multi dmyear2009
estat first
estat endog

ivregress 2sls ltcwgavprodunus (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmci* zone multi dmyear2009
estat first
estat endog

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

tab reg, gen(dmcireg)
tab industry, gen(dmciind)
tab screensi, gen(dmcisz)

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmci* zone multi dmyear2009, cluster(idquest)
estat first
estat endog


***Additional worker controls

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

ivregress 2sls lannwage (retcountgood=avretcountgoodloo) experience education dmfemale dmunion dmjobprof dmjobskill dmjobunsk dmjobnprod lannhours lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmsc* dmyear2009, cluster(idquest)
estat first
estat endog

***Table 5 - Online Only Summary Statistics

**Firm-level variables

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

summ ltcwgavprodskus ltcwgavprodunus retcountgood lpcsworker lage dmexport dmownfor  percunion  dmmngmal dmmngage0030 dmmngage3145 dmmngage4655  dmmngedsec dmmngedtert dmsouth dmyear2009

**Worker level variables

use "C:\Nigeria Wages\Nigeria Wages Worker Level Data.dta", clear

summ lannwage experience education dmfemale dmunion dmjobprof dmjobskill dmjobunsk dmjobnprod lannhours 

***Table XXX - dmreticent

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

tab dmreticent dmreticent10

***********Interviewer counts

use "C:\Nigeria Wages\Nigeria Wages Firm Level Data.dta", clear

keep intcode idquest

collapse(count) idquest, by(intcode)
